#
# spec file for package bonnie++ (Version 1.96)
#
#

# norootforbuild

Name:           bonnie++
BuildRequires:  gcc-c++
License:        X11/MIT
Group:          System/Benchmark
Provides:       bonnie++-1.03c
AutoReqProv:    on
Summary:        A Bonnie-Like File System Benchmark
Version:        1.97.1
Release:        450.1
Source:         http://www.coker.com.au/bonnie++/%{name}-%{version}.tgz
##Patch:          %{name}-%{version}_unlocked.patch
##Patch1:         %{name}-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bonnie++ is a benchmark suite aimed at performing a number of simple
hard drive and file system performance tests.



Authors:
--------
    Tim Bray <tbray@textuality.com>
    Russell Coker <russell@coker.com.au>
    Christian Kagerhuber <c.kagerhuber@t-online.net>
    Olli Ries <ories@suse.de>

%prep
%setup
##%patch -p1
##%patch1

%build
	%__make clean
 	%__make MORECFLAGS="$RPM_OPT_FLAGS"

%install
	mkdir -p $RPM_BUILD_ROOT/usr/bin
	%__install -c bonnie++ zcav $RPM_BUILD_ROOT/usr/bin
	%__install -c bon_csv2html bon_csv2txt $RPM_BUILD_ROOT/usr/bin
	mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,8}
	%__install -c -m 644 bon_csv2html.1 bon_csv2txt.1 $RPM_BUILD_ROOT%{_mandir}/man1
	%__install -c -m 644 bonnie++.8 zcav.8 $RPM_BUILD_ROOT%{_mandir}/man8	

%files
%defattr(-,root,root)
%doc readme.html
/usr/bin/bonnie++
/usr/bin/zcav
/usr/bin/bon_csv2html
/usr/bin/bon_csv2txt
%{_mandir}/man8/bonnie++.8.gz
%{_mandir}/man8/zcav.8.gz 
%{_mandir}/man1/bon_csv2html.1.gz
%{_mandir}/man1/bon_csv2txt.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 29 2014 cs@linux-administrator.com
- update to release 1.97.1
